Nederland

  • Nederlands

EZproxy 5.4 nu beschikbaar

 

De toonaangevende oplossing voor toegangscontrole en verificatie voor de bibliotheekgemeenschap is opnieuw uitgebreid.

Dit zijn enkele nieuwe kenmerken van EZproxy 5.4:

  • Ondersteuning voor Windows 7
  • Een gebruiker kan nu een gebruikersnaam of wachtwoord opgeven dat meer dan 32 tekens of een "|" bevat bij het gebruik van SIP Authentication
  • Ondersteuning voor het tekenen van certificaatvervanging via ondersteuning van meerdere x.509 certificaten in SAML metadata.
  • Wijzigingen die voorkomen dat pdf-bestanden worden behandeld als html-bestanden en onjuist worden geretourneerd naar de gebruiker.
  • Talrijke actualiseringen en foutcorrecties voor verdere support van Shibboleth-implementaties
  • Verbeterde beveiligingsmaatregelen, zoals:
    • Voorkomen van mogelijke kwetsbaarheid voor denial-of-service aanvallen
    • Integratie met versie 0.9.8q van OpenSSL
  • Verbeterde debugging functies, zoals
    • Regelnummers voor de pagina EZproxy Admin "test user.txt"
    • Regelnummers voor het bestand config.txt.
    • Foutmeldingen verschijnen nu vlak onder de regel die de fout heeft veroorzaakt. De werkelijke tekst van het bestand wordt vermeld in plaats van de afgesneden tekst. U activeert deze functie door XDEBUG 128 toe te voegen aan uw configuratiebestand.
      Opmerking: OCLC beveelt het gebruik van deze functie niet aan in een live productie-omgeving vanwege het aantal berichten dat wordt vastgelegd.

We raden u aan een upgrade uit te voeren naar EZproxy 5.4, zodat u van de nieuwste functies kunt profiteren. Bekijk de pagina met uitbreidingen en voer de upgrade zo snel mogelijk uit.

Gehoste EZproxy-service op komst

Een gehoste versie van EZproxy is op komst. Bibliotheken die zich abonneren op de gehoste versie krijgen automatisch een naadloze upgrade bij elke nieuwe release van de service. Ze krijgen ook het hele jaar door 24-uurs ondersteuning voor externe authentificatie van elektronische content zonder dat een server of IT-infrastructuur nodig is. De gehoste EZproxy-versie is momenteel beschikbaar in de VS en een bredere beschikbaarheid wordt gepland.